hpp-core: hpp::core::SteeringMethod Class Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
hpp::core::SteeringMethod Class Referenceabstract
Steering method and distance functions

`#include <hpp/core/steering-method.hh>`

Inheritance diagram for hpp::core::SteeringMethod:
[legend]

## Public Member Functions
PathPtr_t | operator() (ConfigurationIn_t q1, ConfigurationIn_t q2) const
PathPtr_t | steer (ConfigurationIn_t q1, ConfigurationIn_t q2) const
virtual | ~SteeringMethod ()
virtual SteeringMethodPtr_t | copy () const =0
| Copy instance and return shared pointer.
ProblemConstPtr_t | problem () const
Constraints applicable to the robot.
These constraints are not automatically taken into account. Child class can use it if they need.
void | constraints (const ConstraintSetPtr_t &constraints)
| Set constraint set.
const ConstraintSetPtr_t & | constraints () const
| Get constraint set.

## Protected Member Functions
| SteeringMethod (const ProblemConstPtr_t &problem)
| Constructor.
| SteeringMethod (const SteeringMethod &other)
virtual PathPtr_t | impl_compute (ConfigurationIn_t q1, ConfigurationIn_t q2) const =0
| create a path between two configurations
void | init (SteeringMethodWkPtr_t weak)
| Store weak pointer to itself.

## Detailed Description

Steering method

A steering method creates paths between pairs of configurations for a robot. They are usually used to take into account nonholonomic constraints of some robots

## Constructor & Destructor Documentation

## ◆ ~SteeringMethod()

virtual hpp::core::SteeringMethod::~SteeringMethod | ( |  | ) |
| inlinevirtual

## ◆ SteeringMethod() [1/2]

hpp::core::SteeringMethod::SteeringMethod | ( | const ProblemConstPtr_t & | problem | ) |
| inlineprotected

Constructor.

## ◆ SteeringMethod() [2/2]

hpp::core::SteeringMethod::SteeringMethod | ( | const SteeringMethod & | other | ) |
| inlineprotected

Copy constructor

Constraints are copied

## Member Function Documentation

## ◆ constraints() [1/2]

const ConstraintSetPtr_t & hpp::core::SteeringMethod::constraints | ( |  | ) | const
| inline

Get constraint set.

## ◆ constraints() [2/2]

void hpp::core::SteeringMethod::constraints | ( | const ConstraintSetPtr_t & | constraints | ) |
| inline

Set constraint set.

## ◆ copy()

virtual SteeringMethodPtr_t hpp::core::SteeringMethod::copy | ( |  | ) | const
| pure virtual

Copy instance and return shared pointer.

Implemented in hpp::core::steeringMethod::Dubins, hpp::core::steeringMethod::Hermite, hpp::core::steeringMethod::Interpolated, hpp::core::steeringMethod::ReedsShepp, hpp::core::steeringMethod::Snibud, hpp::core::steeringMethod::Spline< _PolynomeBasis, _SplineOrder >, hpp::core::steeringMethod::Kinodynamic, and hpp::core::steeringMethod::Straight.

## ◆ impl_compute()

virtual PathPtr_t hpp::core::SteeringMethod::impl_compute | ( | ConfigurationIn_t | q1,
|  | ConfigurationIn_t | q2
| ) |  | const
| protectedpure virtual

create a path between two configurations

Implemented in hpp::core::steeringMethod::Dubins, hpp::core::steeringMethod::Hermite, hpp::core::steeringMethod::Interpolated, hpp::core::steeringMethod::ReedsShepp, hpp::core::steeringMethod::Snibud, hpp::core::steeringMethod::Spline< _PolynomeBasis, _SplineOrder >, hpp::core::steeringMethod::Kinodynamic, and hpp::core::steeringMethod::Straight.

## ◆ init()

void hpp::core::SteeringMethod::init | ( | SteeringMethodWkPtr_t | weak | ) |
| inlineprotected

Store weak pointer to itself.

## ◆ operator()()

PathPtr_t hpp::core::SteeringMethod::operator() | ( | ConfigurationIn_t | q1,
|  | ConfigurationIn_t | q2
| ) |  | const
| inline

create a path between two configurations

Returns
  a Path from q1 to q2 if found. An empty Path if Path could not be built.

Note
  if q1 == q2, the steering method should not return an empty shared pointer.

## ◆ problem()

ProblemConstPtr_t hpp::core::SteeringMethod::problem | ( |  | ) | const
| inline

## ◆ steer()

PathPtr_t hpp::core::SteeringMethod::steer | ( | ConfigurationIn_t | q1,
|  | ConfigurationIn_t | q2
| ) |  | const
| inline

The documentation for this class was generated from the following file:

- include/hpp/core/steering-method.hh